//--------------------------------------------------------------------------
// 
//  File:       AddonMsgHandler.h
//  Part of:    
//  Author:     Tim Philip (me@TimPhilip.net)
//  Compiler:	gcc (under BeOS)
//  Purpose:    
//
//  Notice:     (c) Copyright 2000, Tim Philip
//              All Rights Reserved
//
//  Created:    01/24/00
//
//--------------------------------------------------------------------------

#ifndef _ADDONMSGHANDLER_H_
#define _ADDONMSGHANDLER_H_

#include <Looper.h>


//--------------------------------------------------------------------------
//	class BCAddonMsgHandler
//
//  I added this to show how to handle the msgs you receive from BeChess.
//  It is more likely that you will create your own BWindow and send the
//  messages there.
//
//--------------------------------------------------------------------------
class BCAddonMsgHandler : public BLooper
{
public:

	BCAddonMsgHandler(const BMessenger *pMsngrBeChess);

	virtual void	MessageReceived(BMessage *message);

protected:

	const BMessenger *m_pMsngrBeChess;

};

#endif // _ADDONMSGHANDLER_H_
